Panda3D

Loading...
Searching...
No Matches
Functions
cast_to_float.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "luse.h"`
`#include "cast_to_float.I"`

Go to the source code of this file.

## Functions
LMatrix3f | cast_to_float (const LMatrix3d &source)
LMatrix4f | cast_to_float (const LMatrix4d &source)
LPoint2f | cast_to_float (const LPoint2d &source)
LPoint3f | cast_to_float (const LPoint3d &source)
LPoint4f | cast_to_float (const LPoint4d &source)
LVecBase2f | cast_to_float (const LVecBase2d &source)
LVecBase3f | cast_to_float (const LVecBase3d &source)
LVecBase4f | cast_to_float (const LVecBase4d &source)
LVector2f | cast_to_float (const LVector2d &source)
LVector3f | cast_to_float (const LVector3d &source)
LVector4f | cast_to_float (const LVector4d &source)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2000-05-24

Definition in file cast_to_float.h.

## Function Documentation

## ◆ cast_to_float() [1/11]

LMatrix3f cast_to_float | ( | const LMatrix3d & | source | ) |
| inline

Definition at line 50 of file cast_to_float.I.

## ◆ cast_to_float() [2/11]

LMatrix4f cast_to_float | ( | const LMatrix4d & | source | ) |
| inline

Definition at line 54 of file cast_to_float.I.

## ◆ cast_to_float() [3/11]

LPoint2f cast_to_float | ( | const LPoint2d & | source | ) |
| inline

Definition at line 38 of file cast_to_float.I.

## ◆ cast_to_float() [4/11]

LPoint3f cast_to_float | ( | const LPoint3d & | source | ) |
| inline

Definition at line 42 of file cast_to_float.I.

## ◆ cast_to_float() [5/11]

LPoint4f cast_to_float | ( | const LPoint4d & | source | ) |
| inline

Definition at line 46 of file cast_to_float.I.

## ◆ cast_to_float() [6/11]

LVecBase2f cast_to_float | ( | const LVecBase2d & | source | ) |
| inline

Definition at line 14 of file cast_to_float.I.

## ◆ cast_to_float() [7/11]

LVecBase3f cast_to_float | ( | const LVecBase3d & | source | ) |
| inline

Definition at line 18 of file cast_to_float.I.

## ◆ cast_to_float() [8/11]

LVecBase4f cast_to_float | ( | const LVecBase4d & | source | ) |
| inline

Definition at line 22 of file cast_to_float.I.

## ◆ cast_to_float() [9/11]

LVector2f cast_to_float | ( | const LVector2d & | source | ) |
| inline

Definition at line 26 of file cast_to_float.I.

## ◆ cast_to_float() [10/11]

LVector3f cast_to_float | ( | const LVector3d & | source | ) |
| inline

Definition at line 30 of file cast_to_float.I.

## ◆ cast_to_float() [11/11]

LVector4f cast_to_float | ( | const LVector4d & | source | ) |
| inline

Definition at line 34 of file cast_to_float.I.